# H248_SignalRequest Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Choices { e_signal, e_seqSigList }

## Public Member Functions

| H248_SignalRequest (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H248_Signal & ()
| operator const H248_Signal & () const
| operator H248_SeqSigList & ()
| operator const H248_SeqSigList & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_SignalRequest::Choices

Enumerator:

  e_signal |
  e_seqSigList |

## Constructor & Destructor Documentation

H248_SignalRequest::H248_SignalRequest | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_SignalRequest::operator H248_Signal & | ( |  | ) |

H248_SignalRequest::operator const H248_Signal & | ( |  | ) | const

H248_SignalRequest::operator H248_SeqSigList & | ( |  | ) |

H248_SignalRequest::operator const H248_SeqSigList & | ( |  | ) | const

PBoolean H248_SignalRequest::CreateObject | ( |  | ) |

PObject* H248_SignalRequest::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h